path: /build/build/stunnel-net-misc-5.75.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux ssl stunnel3 tcpd" emerge net-misc/stunnel -pv -t && \
    USE="-selinux ssl stunnel3 tcpd" emerge -j ${JOBS} --nodeps net-misc/stunnel && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/stunnel && \
    luet-portage --dir /pkgdir/stunnel net-misc/stunnel && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:9ce3461bcab18f31a2dc85566bc36e8a0e9034d8b2d399fec10f043c18b557b6
  package:
    name: stunnel
    version: "5.75"
    category: net-misc
    use_flags:
    - -selinux
    - ssl
    - stunnel3
    - tcpd
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: TLS/SSL - Port Wrapper
    uri:
    - http://www.stunnel.org/index.html
    license: GPL-2
    buildtimestamp: 2025-11-02 21:16:12.681143113 +0000 UTC m=+182.632701440
    labels:
      BDEPEND: sys-devel/autoconf-archive test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/cryptography[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/cryptography[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/cryptography[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/cryptography[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ssl? ( dev-libs/openssl:0
        )
      DEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) sys-apps/shadow
      IUSE: selinux stunnel3 tcpd test ssl
      RDEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) selinux? ( sec-policy/selinux-stunnel
        ) stunnel3? ( dev-lang/perl ) virtual/tmpfiles
      emerge.packages: net-misc/stunnel
      kit: net-kit
      original.package.name: net-misc/stunnel
      original.package.slot: "0"
      original.package.version: "5.75"
    treedir: /build/packages
  package_dir: /pkgdir/stunnel
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46ad6488481e76f7d06cd1b79e3ddcf1c6a5610129aa188212a18e3c1f2c1588
compressiontype: zstd
files:
- etc/env.d/20stunnel
- etc/init.d/stunnel
- etc/stunnel/stunnel.conf
- usr/bin/stunnel
- usr/bin/stunnel3
- usr/lib/tmpfiles.d/stunnel.conf
- usr/lib64/stunnel/libstunnel.so
- usr/share/doc/stunnel-5.75/AUTHORS.md
- usr/share/doc/stunnel-5.75/BUGS.md
- usr/share/doc/stunnel-5.75/CREDITS.md.bz2
- usr/share/doc/stunnel-5.75/PORTS.md.bz2
- usr/share/doc/stunnel-5.75/README.md.bz2
- usr/share/doc/stunnel-5.75/TODO.md.bz2
- usr/share/doc/stunnel-5.75/html/VNC_StunnelHOWTO.html
- usr/share/doc/stunnel-5.75/html/ca.html
- usr/share/doc/stunnel-5.75/html/importCA.html
- usr/share/doc/stunnel-5.75/html/stunnel.html
- usr/share/man/man8/stunnel.8.bz2
- var/db/pkg/net-misc/stunnel-5.75/BDEPEND
- var/db/pkg/net-misc/stunnel-5.75/BUILD_TIME
- var/db/pkg/net-misc/stunnel-5.75/CATEGORY
- var/db/pkg/net-misc/stunnel-5.75/CBUILD
- var/db/pkg/net-misc/stunnel-5.75/CFLAGS
- var/db/pkg/net-misc/stunnel-5.75/CHOST
- var/db/pkg/net-misc/stunnel-5.75/CONTENTS
- var/db/pkg/net-misc/stunnel-5.75/COUNTER
- var/db/pkg/net-misc/stunnel-5.75/CTARGET
- var/db/pkg/net-misc/stunnel-5.75/CXX
- var/db/pkg/net-misc/stunnel-5.75/CXXFLAGS
- var/db/pkg/net-misc/stunnel-5.75/DEFINED_PHASES
- var/db/pkg/net-misc/stunnel-5.75/DEPEND
- var/db/pkg/net-misc/stunnel-5.75/DESCRIPTION
- var/db/pkg/net-misc/stunnel-5.75/EAPI
- var/db/pkg/net-misc/stunnel-5.75/FEATURES
- var/db/pkg/net-misc/stunnel-5.75/HOMEPAGE
- var/db/pkg/net-misc/stunnel-5.75/INHERITED
- var/db/pkg/net-misc/stunnel-5.75/IUSE
- var/db/pkg/net-misc/stunnel-5.75/IUSE_EFFECTIVE
- var/db/pkg/net-misc/stunnel-5.75/KEYWORDS
- var/db/pkg/net-misc/stunnel-5.75/LDFLAGS
- var/db/pkg/net-misc/stunnel-5.75/LICENSE
- var/db/pkg/net-misc/stunnel-5.75/NEEDED
- var/db/pkg/net-misc/stunnel-5.75/NEEDED.ELF.2
- var/db/pkg/net-misc/stunnel-5.75/PF
- var/db/pkg/net-misc/stunnel-5.75/PROVIDES
- var/db/pkg/net-misc/stunnel-5.75/RDEPEND
- var/db/pkg/net-misc/stunnel-5.75/REQUIRES
- var/db/pkg/net-misc/stunnel-5.75/RESTRICT
- var/db/pkg/net-misc/stunnel-5.75/SIZE
- var/db/pkg/net-misc/stunnel-5.75/SLOT
- var/db/pkg/net-misc/stunnel-5.75/USE
- var/db/pkg/net-misc/stunnel-5.75/environment.bz2
- var/db/pkg/net-misc/stunnel-5.75/repository
- var/db/pkg/net-misc/stunnel-5.75/stunnel-5.75.ebuild
package_cacheimage: ""
runtime:
  name: stunnel
  version: "5.75"
  category: net-misc
  use_flags:
  - -selinux
  - ssl
  - stunnel3
  - tcpd
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: TLS/SSL - Port Wrapper
  uri:
  - http://www.stunnel.org/index.html
  license: GPL-2
  labels:
    BDEPEND: sys-devel/autoconf-archive test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/cryptography[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/cryptography[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/cryptography[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/cryptography[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ssl? ( dev-libs/openssl:0
      )
    DEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) sys-apps/shadow
    IUSE: selinux stunnel3 tcpd test ssl
    RDEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) selinux? ( sec-policy/selinux-stunnel
      ) stunnel3? ( dev-lang/perl ) virtual/tmpfiles
    emerge.packages: net-misc/stunnel
    kit: net-kit
    original.package.name: net-misc/stunnel
    original.package.slot: "0"
    original.package.version: "5.75"
